summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJessica Wagantall <jwagantall@linuxfoundation.org>2020-01-21 17:19:42 +0000
committerGerrit Code Review <gerrit@onap.org>2020-01-21 17:19:42 +0000
commit6517b22e3ae45fcf83140a96f76fa7eff880b08e (patch)
treee7ef1cffbcc95dee5e481cffdbd76e3d6c90b654
parent8ae692130fa441d776c971d111c23a09f32fc31f (diff)
parent30c099fa202a85a57770ead418cba82c5fb670d2 (diff)
Merge "VVP - Updating jenkins jobs to use python3"
-rw-r--r--jjb/vvp/pre-build-csv.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/jjb/vvp/pre-build-csv.sh b/jjb/vvp/pre-build-csv.sh
index b90f77b86..09b1278ba 100644
--- a/jjb/vvp/pre-build-csv.sh
+++ b/jjb/vvp/pre-build-csv.sh
@@ -1,11 +1,10 @@
#!/bin/bash
-virtualenv -p python3 $WORKSPACE/venv-tox
+virtualenv -p python3.6 $WORKSPACE/venv-tox
source $WORKSPACE/venv-tox/bin/activate
pip3 install --upgrade pip
pip3 install --no-use-pep517 -r requirements.txt
ls
-wget -O $WORKSPACE/ice_validator/heat_requirements.json "https://nexus.onap.org/content/sites/raw/org.onap.vnfrqts.requirements/master/needs.json"
-echo "Copied newest needs."
+wget -O docs/data/needs.json "https://nexus.onap.org/content/sites/raw/org.onap.vnfrqts.requirements/master/needs.json" && echo "Copied newest needs." || exit 1
cd ice_validator/
pytest --self-test tests/ \ No newline at end of file